Subject: Re: bug#38197: 26.3; File opened by find-file appears in other window

From: Stefan Kangas <[email-masked]>
Date: Tue, 25 Aug 2020 16:21:51 -0700

tags 38197 + moreinfo
thanks

martin rudalics <[email-masked]> writes:

>> If find-file is used on a file that already exists in a buffer and there
>> is than one window then the buffer will be displayed in one of the
>
> I suppose you mean "more" than one window here.
>
>> non-active windows. If the file does not exist in a buffer it will be
>> opened and displayed in the current window as expected.
>>
>> The problem seems to be related to the use of pop-to-buffer-same-window
>> in find-file. If the definition of find-file is changed to use
>> switch-to-buffer (as it was in emacs25) it works as expected.
>
> I can't reproduce that here.  Regardless of whether the file's buffer
> is shown in a window or not and whether there are one or two windows,
> the file's buffeer is always shown in the selected window.  Please
> provide a recipe with emacs -Q.

It seems like we need more info here to progress.  Could you provide a
recipe to reproduce this bug starting from "emacs -Q"?

Best regards,
Stefan Kangas